@import url("https://fonts.googleapis.com/css2?family=Plus+Jakarta+Sans:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;1,200;1,300;1,400;1,500;1,600;1,700;1,800&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Plus Jakarta Sans", sans-serif;
}
/* sidebar */
.sidebar {
  position: fixed;
  height: 100%;
  width: 240px;
  background: linear-gradient(
    0deg,
    rgba(43, 43, 43, 1) 0%,
    rgba(0, 0, 0, 1) 50%
  );
  transition: all 0.5s ease;
}
.sidebar.active {
  width: 60px;
}
.sidebar .logo-details a {
  text-decoration: none;
  background-color: transparent;
  padding: 10px 15px;
  display: flex;
  height: 80px;
  align-items: center;
  gap: 10px;
  color: #fff;
  font-size: 24px;
  font-weight: 500;
}

.sidebar .logo-details i {
  font-size: 28px;
  font-weight: 500;
  color: #fff;
  min-width: 60px;
  text-align: center;
}

.sidebar .logo-details p {
  color: white;
  font-weight: 200;
}

.sidebar .logo-details img {
  width: 34px;
}

.sidebar .logo-details p span {
  color: #ed7823;
  font-weight: 900;
}

.sidebar .nav-links li {
  position: relative;
  list-style: none;
  height: 50px;
}

.sidebar .nav-links li a {
  height: 100%;
  width: 100%;
  display: flex;
  align-items: center;
  text-decoration: none;
  transition: all 0.4s ease;
}
.sidebar .nav-links li a.active {
  background: linear-gradient(
    90deg,
    rgba(237, 120, 35, 1) 0%,
    rgba(0, 0, 0, 0.1) 100%
  );
}
.sidebar .nav-links li a:hover {
  background: linear-gradient(
    90deg,
    rgba(237, 120, 35, 1) 0%,
    rgba(0, 0, 0, 0.1) 100%
  );
}
.sidebar .nav-links li i {
  min-width: 60px;
  text-align: center;
  font-size: 18px;
  color: #fff;
}
.sidebar .nav-links li a .links_name {
  color: #fff;
  font-size: 15px;
  font-weight: 400;
  white-space: nowrap;
}

/* main content */
.home-section {
  position: relative;
  background: #f5f5f5;
  min-height: 100vh;
  width: calc(100% - 240px);
  left: 240px;
  transition: all 0.5s ease;
}
.sidebar.active ~ .home-section {
  width: calc(100% - 60px);
  left: 60px;
}
.home-section nav {
  display: flex;
  justify-content: space-between;
  height: 80px;
  background: #000000;
  display: flex;
  align-items: center;
  position: fixed;
  width: calc(100% - 240px);
  left: 240px;
  z-index: 100;
  padding: 0 20px;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
  transition: all 0.5s ease;
  color: white;
}

.sidebar.active ~ .home-section nav {
  left: 60px;
  width: calc(100% - 60px);
}

.home-section nav .sidebar-button {
  display: flex;
  align-items: center;
  font-size: 24px;
  font-weight: 500;
}

.home-section nav .sidebar-button i {
  font-size: 35px;
  margin-right: 10px;
}

.home-section nav .profile-details {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #ed7823;
  border-radius: 8px;
  height: 50px;
  padding: 14px 14px;
  gap: 10px;
  cursor: pointer;
}

.home-section nav .profile-details i {
  color: #fff;
  font-size: 20px;
}

nav .profile-details .admin_name {
  font-size: 15px;
  font-weight: 500;
  color: #333;
  white-space: nowrap;
}

.home-section .home-content {
  position: relative;
  padding-top: 104px;
  padding-left: 20px;
  padding-right: 20px;
}

.btn {
  background-color: #ed7823;
  color: white;
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: all 300ms;
}

.btn a {
  text-decoration: none;
  color: white;
}

.btn-tambah {
  margin: 10px 0;
}

.btn-simpan {
  width: 100%;
}

.btn:hover {
  background-color: #000000;
  transition: all 300ms;
}

.home-content table.table-data {
  text-align: center;
  border-collapse: collapse;
  width: 100%;
}

th,
td {
  border: 1px solid black;
  padding: 5px 20px;
}

.table-data thead tr th {
  background-color: #ed7823;
  color: white;
}

.table-data tbody tr td img {
  width: 250px;
}

.form-login {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: white;
  padding: 30px;
  margin: 10px auto;
  border-radius: 10px;
}
.input,
.form-login form select {
  width: 100%;
  margin: 10px 0;
  padding: 10px;
  border-radius: 10px;
  border: 1px solid rgb(148, 148, 148);
}

/* Responsive Media Query */
@media (max-width: 1240px) {
  .sidebar {
    width: 60px;
  }
  .sidebar.active {
    width: 220px;
  }
  .home-section {
    width: calc(100% - 60px);
    left: 60px;
  }
  .sidebar.active ~ .home-section {
    /* width: calc(100% - 220px); */
    overflow: hidden;
    left: 220px;
  }
  .home-section nav {
    width: calc(100% - 60px);
    left: 60px;
  }
  .sidebar.active ~ .home-section nav {
    width: calc(100% - 220px);
    left: 220px;
  }
}

@media (max-width: 700px) {
  nav .profile-details {
    display: none !important;
  }
  .home-section nav .profile-details {
    height: 50px;
    min-width: 40px;
  }
}

@media (max-width: 550px) {
  .profile-details {
    display: none !important;
  }
}

@media (max-width: 400px) {
  .sidebar {
    width: 0;
  }
  .sidebar.active {
    width: 60px;
  }
  .home-section {
    width: 100%;
    left: 0;
  }
  .sidebar.active ~ .home-section {
    left: 60px;
    width: calc(100% - 60px);
  }
  .home-section nav {
    width: 100%;
    left: 0;
  }
  .sidebar.active ~ .home-section nav {
    left: 60px;
    width: calc(100% - 60px);
  }
}
